Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.sun.msv.grammar.xmlschema
Class RedefinableExp

    java.lang.Object
      com.sun.msv.grammar.Expression
          com.sun.msv.grammar.ReferenceExp
              com.sun.msv.grammar.xmlschema.RedefinableExp

All Implemented Interfaces:
  java.io.Serializable

Direct Known Subclasses:
  AttributeGroupExp, GroupDeclExp, XMLSchemaTypeExp

public abstract class RedefinableExp
extends ReferenceExp

declaration that can be redefined by using <redefine> element.

Author:
  Kohsuke KAWAGUCHI
See Also:
  Serialized Form

Field Summary

Fields inherited from class com.sun.msv.grammar.ReferenceExp
`exp, name`

Fields inherited from class com.sun.msv.grammar.Expression
`anyString, epsilon, nullSet, verifierTag`

Constructor Summary
`RedefinableExp(java.lang.String typeLocalName)`

Method Summary
`abstract RedefinableExp` | `getClone()` clones this object.
`void` | `redefine(RedefinableExp rhs)` assigns contents of rhs to this object.

Methods inherited from class com.sun.msv.grammar.ReferenceExp
`equals, isDefined, visit, visit, visit, visit`

Methods inherited from class com.sun.msv.grammar.Expression
`getExpandedExp, hashCode, isEpsilonReducible, peelOccurence, visit, visit, visit, visit`

Methods inherited from class java.lang.Object
`getClass, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### RedefinableExp

    public RedefinableExp(java.lang.String typeLocalName)

Method Detail

### getClone

    public abstract RedefinableExp getClone()

  clones this object.

### redefine

    public void redefine(RedefinableExp rhs)

  assigns contents of rhs to this object. rhs and this object must be the same runtime type, and they must have the same name. this method redefines this object by the given component. derived class should override this method and copy necessary fields, should it necessary.

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD